<?php

namespace Drupal\transmuter;

/**
 * Interface for theme registry builders.
 *
 * Theme registry builders are utility classes that apply transmuter plugins to
 * to the theme registry.
 */
interface ThemeRegistryBuilderInterface {

  /**
   * Alters the theme registry with transmuter plugins.
   *
   * @param array $theme_registry
   *   Reference to the theme registry to apply the transmuter plugins to.
   */
  public function alterRegistry(array &$theme_registry): void;

}
